!set title=Signos encadenados
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
leftrange=-5.000000
rightrange=5.000000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=yes
precision=10000

ansorder=c
varcnt=25
prevarcnt=24
postvarcnt=0
replycnt=0
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=necesaria y suficiente
val7=necesaria (sólo)
val8=suficiente (sólo)
val9=quizás ni necesaria ni suficiente
tmp0=!randitem 0,1

val10=$[rint($(tmp0))]

!ifval $val10=1
val11=$val7
!else
val11=$val8
!endif

!ifval $val10=1
val12=$val8
!else
val12=$val7
!endif
val13=$val6,$val7,$val8,$val9

!ifval $val10=1
val14=A
!else
val14=D
!endif

!ifval $val10=1
val15=D
!else
val15=A
!endif
tmp0=!randitem 1,2

val16=$[rint($(tmp0))]
tmp0=!item $val16 of $val12,$val11

val17=$(tmp0)
tmp0=!item $val16 of =&gt;,&lt;=

val18=$(tmp0)
tmp0=!item $val16 of &lt;=,=&gt;

val19=$(tmp0)
val20=&lt;=&gt;
tmp0=!randint 1, 6

val21=$[rint($(tmp0))]
tmp0=!item $val21 of $val20,$val20,$val20,$val18,$val20,$val18

val22=$(tmp0)
tmp0=!item $val21 of $val20,$val20,$val18,$val18,$val18,$val18

val23=$(tmp0)
tmp0=!item $val21 of $val20,$val18,$val18,$val18,$val19,$val19

val24=$(tmp0)
tmp0=!randint 1, 6

val25=$[rint($(tmp0))]
tmp0=!item $val25 of $val22,$val22,$val23,$val23,$val24,$val24

val26=$(tmp0)
tmp0=!item $val25 of $val23,$val24,$val22,$val24,$val22,$val23

val27=$(tmp0)
tmp0=!item $val25 of $val24,$val23,$val24,$val22,$val23,$val22

val28=$(tmp0)
tmp0=!item $val21 of $val6,$val17,$val17,$val17,$val9,$val9

val29=$(tmp0)
choicename1=
choicegood1=$val29
choicebad1=$val13
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Durante una lectura, el profesor habla sobre 4 propiedades	de funciones. Usamos las letras <i>A,B,C,D</i> para denotar esas 4 	propiedades.	<p>	El profesor prueba en la pizarra las siguientes relaciones entre esas 	4 propiedades:<p><center>	<i>A</i>&nbsp;$val26&nbsp;<i>B</i>&nbsp;$val27&nbsp;<i>C</i>&nbsp;$val28&nbsp;<i>D</i>	</center> <p>	De esto concluimos que	<i>$val14</i> es una condición ____________&nbsp;de <i>$val15</i>.	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=14,15,26,27,28
embedcnt=0
